<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classbi__vertex-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__data__structures.html">Data Structures</a> &#124; <a class="el" href="group__core.html">Core Classes</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>A vertex class with both input and output edges lists it inherits all the properties of regular vertex and has reference to input edges.  
 <a href="classbi__vertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglContainersVertexBase_8hpp_source.html">tiglContainersVertexBase.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classbi__vertex.png" usemap="#bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;_map" alt=""/>
  <map id="bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;_map" name="bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;_map">
<area href="classVertexBase.html" title="core Vertex class that contains all the vertex data and defines all vertex mutations It is a template..." alt="TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;" shape="rect" coords="0,0,350,24"/>
<area href="classBiVertexP.html" alt="BiVertexP&lt; DataType, AlgDataType, EdgeType, IdType &gt;" shape="rect" coords="0,112,350,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeea9f91fde4d68ff4883f5e0b08853f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeea9f91fde4d68ff4883f5e0b08853f7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbi__vertex.html#aeea9f91fde4d68ff4883f5e0b08853f7">addInEdge</a> (EdgeType &amp;x)</td></tr>
<tr class="memdesc:aeea9f91fde4d68ff4883f5e0b08853f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding input edge <br /></td></tr>
<tr class="separator:aeea9f91fde4d68ff4883f5e0b08853f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2cd3a6474573bde3f517e06a91ff9b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2cd3a6474573bde3f517e06a91ff9b6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbi__vertex.html#ae2cd3a6474573bde3f517e06a91ff9b6">addInEdge</a> (IdType &amp;src)</td></tr>
<tr class="memdesc:ae2cd3a6474573bde3f517e06a91ff9b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding input edge <br /></td></tr>
<tr class="separator:ae2cd3a6474573bde3f517e06a91ff9b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8d9af58a7f793657b332245077e93ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8d9af58a7f793657b332245077e93ee"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbi__vertex.html#ad8d9af58a7f793657b332245077e93ee">get_parents</a> (vector&lt; IdType &gt; &amp;vectParents)</td></tr>
<tr class="memdesc:ad8d9af58a7f793657b332245077e93ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">getting id of all parents <br /></td></tr>
<tr class="separator:ad8d9af58a7f793657b332245077e93ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classVertexBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td></tr>
<tr class="memitem:adb1a2b93398a600c6f3ec63b07b5d298 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#adb1a2b93398a600c6f3ec63b07b5d298">TIGLContainersVertexBase</a> (IdType key)</td></tr>
<tr class="memdesc:adb1a2b93398a600c6f3ec63b07b5d298 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor assign the id  <a href="#adb1a2b93398a600c6f3ec63b07b5d298">More...</a><br /></td></tr>
<tr class="separator:adb1a2b93398a600c6f3ec63b07b5d298 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34eb81edd484f2c867317fa8020a70e8 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a34eb81edd484f2c867317fa8020a70e8">addEdge</a> (EdgeType &amp;x)</td></tr>
<tr class="memdesc:a34eb81edd484f2c867317fa8020a70e8 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding output edge  <a href="#a34eb81edd484f2c867317fa8020a70e8">More...</a><br /></td></tr>
<tr class="separator:a34eb81edd484f2c867317fa8020a70e8 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe5ac40c01303629cf1ded76fccd5fc9 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#abe5ac40c01303629cf1ded76fccd5fc9">addEdge</a> (ID_TYPE &amp;target)</td></tr>
<tr class="memdesc:abe5ac40c01303629cf1ded76fccd5fc9 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding output edge (overloaded function)  <a href="#abe5ac40c01303629cf1ded76fccd5fc9">More...</a><br /></td></tr>
<tr class="separator:abe5ac40c01303629cf1ded76fccd5fc9 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74baae25363b379b03e47cdb980ff6a1 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a74baae25363b379b03e47cdb980ff6a1">addEdge</a> (OUT_EDGE_BUF &amp;x)</td></tr>
<tr class="memdesc:a74baae25363b379b03e47cdb980ff6a1 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding multiple ouput edges  <a href="#a74baae25363b379b03e47cdb980ff6a1">More...</a><br /></td></tr>
<tr class="separator:a74baae25363b379b03e47cdb980ff6a1 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab006f12fd9aeec205ea897c20e59510c inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#ab006f12fd9aeec205ea897c20e59510c">removeEdge</a> (IdType &amp;target)</td></tr>
<tr class="memdesc:ab006f12fd9aeec205ea897c20e59510c inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing an output edge identified by target node.  <a href="#ab006f12fd9aeec205ea897c20e59510c">More...</a><br /></td></tr>
<tr class="separator:ab006f12fd9aeec205ea897c20e59510c inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998b9ff387f81cf03698afc0f03d285d inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a998b9ff387f81cf03698afc0f03d285d">clearEdges</a> ()</td></tr>
<tr class="memdesc:a998b9ff387f81cf03698afc0f03d285d inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing an output edge identified by target node.  <a href="#a998b9ff387f81cf03698afc0f03d285d">More...</a><br /></td></tr>
<tr class="separator:a998b9ff387f81cf03698afc0f03d285d inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2ee1c3555c41d6c5d5158c7db87e553 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2ee1c3555c41d6c5d5158c7db87e553"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#aa2ee1c3555c41d6c5d5158c7db87e553">getNumOutEdges</a> ()</td></tr>
<tr class="memdesc:aa2ee1c3555c41d6c5d5158c7db87e553 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">return the total number of output edges <br /></td></tr>
<tr class="separator:aa2ee1c3555c41d6c5d5158c7db87e553 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a093103af72a37ba4f79cb3a8795d7bac inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a093103af72a37ba4f79cb3a8795d7bac"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a093103af72a37ba4f79cb3a8795d7bac">getNumDifferentNbr</a> ()</td></tr>
<tr class="memdesc:a093103af72a37ba4f79cb3a8795d7bac inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the number of neigbors excluding self (i.e., ignoring self cycles) <br /></td></tr>
<tr class="separator:a093103af72a37ba4f79cb3a8795d7bac inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a020e6811758e3aa6dbfca82a5032ef8e inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a020e6811758e3aa6dbfca82a5032ef8e">getChildren</a> (vector&lt; IdType &gt; &amp;vectChildren)</td></tr>
<tr class="memdesc:a020e6811758e3aa6dbfca82a5032ef8e inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">return the vertex id of all children  <a href="#a020e6811758e3aa6dbfca82a5032ef8e">More...</a><br /></td></tr>
<tr class="separator:a020e6811758e3aa6dbfca82a5032ef8e inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64bf2204455cd6fcfbe09250bfb5ce8e inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a64bf2204455cd6fcfbe09250bfb5ce8e">isConnected</a> (IdType node)</td></tr>
<tr class="memdesc:a64bf2204455cd6fcfbe09250bfb5ce8e inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if a given node is connected to the current node  <a href="#a64bf2204455cd6fcfbe09250bfb5ce8e">More...</a><br /></td></tr>
<tr class="separator:a64bf2204455cd6fcfbe09250bfb5ce8e inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5518145dfac6cccf6a953844db832437 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5518145dfac6cccf6a953844db832437"></a>
DataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a5518145dfac6cccf6a953844db832437">get_value</a> ()</td></tr>
<tr class="memdesc:a5518145dfac6cccf6a953844db832437 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">return the vertex data field <br /></td></tr>
<tr class="separator:a5518145dfac6cccf6a953844db832437 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a507b6bc82839feae98ad222affa1c6bd inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a507b6bc82839feae98ad222affa1c6bd"></a>
AlgDataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a507b6bc82839feae98ad222affa1c6bd">getAlgData</a> ()</td></tr>
<tr class="memdesc:a507b6bc82839feae98ad222affa1c6bd inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the algorithm data <br /></td></tr>
<tr class="separator:a507b6bc82839feae98ad222affa1c6bd inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80eb6cd8ce4211480a2a14690701142f inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80eb6cd8ce4211480a2a14690701142f"></a>
IdType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a80eb6cd8ce4211480a2a14690701142f">getId</a> ()</td></tr>
<tr class="memdesc:a80eb6cd8ce4211480a2a14690701142f inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the vertex id <br /></td></tr>
<tr class="separator:a80eb6cd8ce4211480a2a14690701142f inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad400ab868eb9d01dc4a54eecdd42af80 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad400ab868eb9d01dc4a54eecdd42af80"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#ad400ab868eb9d01dc4a54eecdd42af80">getBeginOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:ad400ab868eb9d01dc4a54eecdd42af80 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns an iterator to the start of the outEdges buffer <br /></td></tr>
<tr class="separator:ad400ab868eb9d01dc4a54eecdd42af80 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1407b2b9e0feaa5673d4453a1f2b68f5 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1407b2b9e0feaa5673d4453a1f2b68f5"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a1407b2b9e0feaa5673d4453a1f2b68f5">getEndOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:a1407b2b9e0feaa5673d4453a1f2b68f5 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns an iterator to the last edge of the outEdges buffer <br /></td></tr>
<tr class="separator:a1407b2b9e0feaa5673d4453a1f2b68f5 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d95b1a399f35f2041ad3f427d607d8f inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a8d95b1a399f35f2041ad3f427d607d8f">get_edge</a> (ID_TYPE target)</td></tr>
<tr class="memdesc:a8d95b1a399f35f2041ad3f427d607d8f inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns an iterator to the output edge with a given target  <a href="#a8d95b1a399f35f2041ad3f427d607d8f">More...</a><br /></td></tr>
<tr class="separator:a8d95b1a399f35f2041ad3f427d607d8f inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classVertexBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td></tr>
<tr class="memitem:a68eb54bdc5fc2b3af1396af8e78fda05 inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68eb54bdc5fc2b3af1396af8e78fda05"></a>
IdType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a68eb54bdc5fc2b3af1396af8e78fda05">id</a></td></tr>
<tr class="memdesc:a68eb54bdc5fc2b3af1396af8e78fda05 inherit pro_attribs_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">unique vertex ID <br /></td></tr>
<tr class="separator:a68eb54bdc5fc2b3af1396af8e78fda05 inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa725b9d37b7b7db14b070df9eb6be9 inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfa725b9d37b7b7db14b070df9eb6be9"></a>
DataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#acfa725b9d37b7b7db14b070df9eb6be9">vertexData</a></td></tr>
<tr class="memdesc:acfa725b9d37b7b7db14b070df9eb6be9 inherit pro_attribs_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">associated generic data <br /></td></tr>
<tr class="separator:acfa725b9d37b7b7db14b070df9eb6be9 inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1194c063341fb9886a4836d30baaec86 inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1194c063341fb9886a4836d30baaec86"></a>
AlgDataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a></td></tr>
<tr class="memdesc:a1194c063341fb9886a4836d30baaec86 inherit pro_attribs_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Algorithm-specific data. <br /></td></tr>
<tr class="separator:a1194c063341fb9886a4836d30baaec86 inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73d57311fa56ef50a2d49ac4002d534c inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top">OUT_EDGE_BUF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a73d57311fa56ef50a2d49ac4002d534c">outEdges</a></td></tr>
<tr class="separator:a73d57311fa56ef50a2d49ac4002d534c inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename DataType, typename AlgDataType, typename EdgeType, typename IdType = uint_fast32_t&gt;<br />
class bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</h3>

<p>A vertex class with both input and output edges lists it inherits all the properties of regular vertex and has reference to input edges. </p>
<ul>
<li></li>
</ul>
<dl class="section warning"><dt>Warning</dt><dd>This class has not been used in the current release </dd></dl>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/src/standard/containers/<a class="el" href="tiglContainersVertexBase_8hpp_source.html">tiglContainersVertexBase.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jan 19 2015 14:39:59 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
